
Redmine - Feature #22676

Static issue list URLs

2016-04-29 14:16 - Robert Pollak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Often I would like to talk in an email about a group of e.g. five issues. In order to provide fast access to the issues, I need to copy all

the issues' URLs into the mail. It would be very nice to have URLs like

https://www.redmine.org/issues?query_id=270,359,267,293,118 that would open a corresponding issue list page.

(Bugzilla does this: https://bugzilla.mozilla.org/buglist.cgi?query_format=advanced&bug_id=270,359,267,293,118)

Related issues:

Related to Redmine - Feature #4806: Filter the issue list by issue ids Closed 2010-02-11

History

#1 - 2016-05-06 19:02 - Jean-Philippe Lang

- Related to Feature #4806: Filter the issue list by issue ids added

#2 - 2016-05-06 21:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Duplicate

Done, see #4806.

You can use the context menu on the issue list to link to a query that filters the selected issues, or generate a link manually, eg:

/issues?issue_id=17302,17322&set_filter=1&status_id=*

#3 - 2016-09-14 15:00 - Robert Pollak

Great, thank you!

#4 - 2017-06-30 12:25 - Robert Pollak

It seems that the list also works in simplified form, without set_filter and status_id: /issues?issue_id=17302,17322

Why doesn't the context menu create this instead?
